cascading.tuple.hadoop.util

## Class ReverseTupleComparator

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.util.DeserializerComparator<Tuple>
    - - cascading.tuple.hadoop.util.BaseTupleComparator
      - - cascading.tuple.hadoop.util.TupleComparator
        - - cascading.tuple.hadoop.util.ReverseTupleComparator

- All Implemented Interfaces:
    java.util.Comparator<Tuple>, Configurable, RawComparator<Tuple>

      public class ReverseTupleComparator
      extends TupleComparator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.tuple.hadoop.util.BaseTupleComparator

      `BaseTupleComparator.RawComparison`

  - ### Field Summary

    - ### Fields inherited from class cascading.tuple.hadoop.util.DeserializerComparator

      `groupComparators, keyTypes, lhsBuffer, lhsStream, rhsBuffer, rhsStream, tupleSerialization`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseTupleComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
    `int` | `compare(Tuple lhs, Tuple rhs)`

    - ### Methods inherited from class cascading.tuple.hadoop.util.TupleComparator

      `getByteComparison`

    - ### Methods inherited from class cascading.tuple.hadoop.util.BaseTupleComparator

      `canPerformRawComparisons, getStreamComparison, setConf`

    - ### Methods inherited from class cascading.tuple.hadoop.util.DeserializerComparator

      `compareTuples, compareTuples, getFieldComparatorsFrom, getHadoopTupleInputStream, performRawComparison`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### ReverseTupleComparator

          public ReverseTupleComparator()

  - ### Method Detail

    - #### compare

          public int compare(byte[] b1,
                    int s1,
                    int l1,
                    byte[] b2,
                    int s2,
                    int l2)

      Specified by:
        `compare` in interface `RawComparator<Tuple>`
      Overrides:
        `compare` in class `BaseTupleComparator`

    - #### compare

          public int compare(Tuple lhs,
                    Tuple rhs)

      Specified by:
        `compare` in interface `java.util.Comparator<Tuple>`
      Overrides:
        `compare` in class `BaseTupleComparator`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.